if(!hasInterface) exitWith {};

_colorConfigBlufor = [
	(profilenamespace getvariable ['Map_BLUFOR_R',0]),
	(profilenamespace getvariable ['Map_BLUFOR_G',1]),
	(profilenamespace getvariable ['Map_BLUFOR_B',1]),
	(profilenamespace getvariable ['Map_BLUFOR_A',0.8])
];

_colorConfigOpfor = [
	(profilenamespace getvariable ['Map_OPFOR_R',0]),
	(profilenamespace getvariable ['Map_OPFOR_G',1]),
	(profilenamespace getvariable ['Map_OPFOR_B',1]),
	(profilenamespace getvariable ['Map_OPFOR_A',0.8])
];

_colorConfigIndependent = [
	(profilenamespace getvariable ['Map_Independent_R',0]),
	(profilenamespace getvariable ['Map_Independent_G',1]),
	(profilenamespace getvariable ['Map_Independent_B',1]),
	(profilenamespace getvariable ['Map_Independent_A',0.8])
];

_colorBluforHex = _colorConfigBlufor call BIS_fnc_colorRGBAtoHTML;
_colorOpforHex = _colorConfigOpfor call BIS_fnc_colorRGBAtoHTML;
_colorIndependentHex = _colorConfigIndependent call BIS_fnc_colorRGBAtoHTML;

_prefix = "b";
_color = _colorBluforHex;

if (side player isEqualTo east) then {
	_prefix = "o";
	_color = _colorOpforHex;
} else {
	if (side player isEqualTo independent) then {
		_prefix = "n";
		_color = _colorIndependentHex;
	};
};

if(!(player diarySubjectExists "fieldManual"))then{
	player createDiarySubject ["fieldManual","Field manual"];
};

player createDiaryRecord ["fieldManual", ["NATO symbols",
'
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_air.paa" width="20"/> Heli<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_antiair.paa" width="20"/> Anit-Air<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_armor.paa" width="20" /> Armor<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_art.paa" width="20" /> Artillery<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_hq.paa" width="20" /> HQ<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_inf.paa" width="20" /> Infantry<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_installation.paa" width="20" /> Installation<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_maint.paa" width="20" /> Maintenance<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_mech_inf.paa" width="20" /> Mechanized infantry<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_med.paa" width="20" /> Medical<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_mortar.paa" width="20" /> Mortar<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_motor_inf.paa" width="20" /> Motorized infantry<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_naval.paa" width="20" /> Naval<br/>
<img color="'+ _color + '" image="\a3\UI_F_Orange\Data\CfgMarkers\' + _prefix + '_Ordnance_ca.paa" width="20" /> Ordnance<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_plane.paa" width="20" /> Plane<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_recon.paa" width="20" /> Recon<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_service.paa" width="20" /> Service<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_support.paa" width="20" /> Support<br/>
<img color="'+ _color + '" image="\A3\ui_f\data\map\markers\nato\' + _prefix + '_uav.paa" width="20" /> UAV<br/>
<br/>
<img color="'+ _colorBluforHex + '" image="\A3\ui_f\data\map\markers\nato\b_unknown.paa" width="20" /> BLUFOR Base<br/>
<img color="'+ _colorOpforHex + '" image="\A3\ui_f\data\map\markers\nato\o_unknown.paa" width="20" /> OPFOR Base<br/>
<img color="'+ _colorIndependentHex + '" image="\A3\ui_f\data\map\markers\nato\n_unknown.paa" width="20" /> Independent Base<br/>
'
]];
