/*
	Author: Djeeberjr

	Description:
	Enables a full Arsenal on a object

	Effect: local

	Parameter(s):
		0: OBJECT - the object of the arsenal
*/
params ["_obj"];

//Check if the is already an arsenal on it
if( isNull (_obj getVariable ["DLib_arsenal",objNull]))then{

	_bisArsenal = _obj addAction ["BIS Arsenal",{
		[ "Open", [ true ] ] call BIS_fnc_arsenal;
	},[],1.5,true,true,"","true",5];
	
	_obj setvariable ["DLib_arsenal",_bisArsenal];

	if (isClass(configFile >> "CfgPatches" >> "ace_main")) then {
		[_obj, true] call ace_arsenal_fnc_initBox;
	};


};
