/*
	Author: Djeeberjr

	Description:
	Gets all object from "synchronizedObjects" by the type


	Parameter(s):
		0: OBJECT - most of the time: "this"
		1: STRING - type
	
	Returns:
	ARRAY - [[syncedObject,parametr],...]
*/ 

params ["_self","_type"];

_syncedObjects = synchronizedObjects _self;
_returnValue = [];
{
	_e = _x getVariable ["DLib_SType",objNull];
	if( (typeName _e ) == "ARRAY")then{
		if((_e select 0) == _type)then{
			_returnValue pushBack [_x,_e select 1];
		};
		
	};

} forEach _syncedObjects;

_returnValue;
