/*
	Author: Djeeberjr

	Description:
	Gets all Trigger from "synchronizedObjects" by the type. Type is set in the editor unter Text


	Parameter(s):
		0: OBJECT - most of the time: "this"
		1: STRING - type
	
	Returns:
	ARRAY - [[syncedTrigger],...]
*/ 
params ["_self","_type"];

_syncedObjects = synchronizedObjects _self;
_returnValue = [];
{
	if(_x isKindOf "EmptyDetector")then{
		if(triggerText _x == _type)then{
			_returnValue pushBack _x;
		};
	};

} forEach _syncedObjects;

_returnValue;
